RIS / Diagnostic Imaging Referrals Integration

Actors used in the diagrams:

  • Veterinarian — person that interacts with Provet Cloud and requests a diagnostic imaging referral for a patient

  • Technician — the diagnostic imaging technician that executes the referral requests and produces the results

Systems used in the diagrams:

  • Provet Cloud — the patient and consultation management system

  • Integration layer — the system responsible for converting information from Provet Cloud (via REST APIs) to messages your RIS system understands

  • RIS system — the third-party system that manages all connected modalities (PACS / worklist system)

  • Modality — a diagnostic imaging device connected to the RIS system (X-ray, CT, MRI, Ultrasound, …)

  • Viewer — the viewer of diagnostic images, used by both veterinarians and technicians to inspect referral results

Create a Referral

This process uses the “Diagnostic imaging workflow” webhook to inform the integration layer that a diagnostic imaging referral was created.

The webhook payload contains:

  • diagnosticimagingworklist_id — the worklist order ID connected to the referral, used to fetch referral information

  • provet_id — the organization calling the webhook

  • provet_url — the URL of the organization calling the webhook

Webhooks can be configured in Provet Cloud under Settings > General > Integrations > Webhooks. See also: Webhooks.

The following REST API endpoints are used to fetch referral information and update its status:

  • GET /api/0.1/diagnosticimaging_worklist/[id]/ — basic information on the order: modality, requesting user, supervising veterinarian, patient/client info, and target areas

  • GET /api/0.1/diagnosticimaging_referral/[id] — referral details: remarks, internal notes, consultation ID, and connected appointment ID

  • GET /api/0.1/consultation/[id]/?expose_patients — consultation details including patient information

  • GET /api/0.1/client/[id]/ — full client information

  • PATCH /api/0.1/diagnosticimaging_worklist/[id]/ — update the worklist order status in Provet Cloud

Access to the API is protected by Authentication via OAuth 2.0. Since the integration layer does not need to be associated with a particular user, the Client Credentials grant type is recommended.

Update and Delete a Referral

When a referral is updated or deleted in Provet Cloud, the “Diagnostic imaging worklist update” and “Diagnostic imaging worklist delete” webhooks are triggered respectively.

The workflow is the same as for creation, except different messages are dispatched to the RIS system.

Note

When a referral is created, both the “Diagnostic imaging worklist” and “Diagnostic imaging worklist update” webhooks are triggered. The integration layer must handle this situation to avoid unexpected errors — for example, by discarding the “update” webhook if the “create” webhook has not yet been processed.

View the Resulting Images

If the chosen viewer is web-based and can display all diagnostic images for a patient based on the patient ID, the “Show images of [patient name]” button can be configured in Provet Cloud to appear in both the consultation and patient pages.

In Provet Cloud integration settings (Settings > Integrations > Diagnostic imaging Settings), configure:

  • Image archive (PACS) in use

  • Image archive (PACS) URL

The patient ID will be appended to the end of the PACS URL. For example, if the Meddream viewer allows access to images via https://our.meddream.viewer.com/?patient=1234, set the PACS URL to https://our.meddream.viewer.com/?patient=.